﻿#sidebar {
    min-width: 220px;
    max-width: 220px;
    background: var(--panel-background-color);
    color: white;
    transition: all 0.3s;
}

    #sidebar.collapsed {
        min-width: 90px;
        max-width: 90px;
        text-align: center;
    }

    #sidebar ul li a {
        text-align: left;
        padding: 20px 10px;
    }

    #sidebar.collapsed ul li a {
        text-align: center;
        font-size: 0.85em;
    }

        #sidebar.collapsed ul li a i,
        #sidebar.collapsed ul li a span {
            margin-right: 0;
            display: block;
            font-size: 1.8em;
            margin-bottom: 5px;
        }

    #sidebar.collapsed span.hide-collapsed {
        display: none !important;
    }


    #sidebar.collapsed ul ul a {
        padding: 10px !important;
        font-size: 0.9em !important;
        padding-left: 30px !important;
        background: var(--panel-background-color);
    }

    #sidebar.collapsed .dropdown-toggle::after {
        top: auto;
        bottom: 10px;
        right: 50%;
        -webkit-transform: translateX(50%);
        -ms-transform: translateX(50%);
        transform: translateX(50%);
    }

    #sidebar .sidebar-header {
        padding-top: 10px;
        background: var(--panel-background-color);
    }

    #sidebar ul.components {
        padding: 20px 0;
        border-bottom: 1px solid #47748b;
    }

    #sidebar ul li a {
        padding: 10px;
        font-size: 1.1em;
        display: block;
    }

        #sidebar ul li a:hover {
            color: var(--panel-background-color);
            background: white;
        }

        #sidebar ul li a i {
            margin-right: 10px;
        }

    #sidebar ul li.active > a,
    a[aria-expanded="true"] {
        color: white;
        background: var(--panel-background-color);
    }

    #sidebar .hamberder {
        font-size: 1.2em;
    }

    #sidebar.collapsed .hamberder.hide-collapsed {
        display: none !important;
    }

    #sidebar:not(.collapsed) .hamberder.hide-expanded {
        display: none !important;
    }

@media (max-width: 768px) {
    #sidebar {
        min-width: 90px;
        max-width: 90px;
        background: var(--panel-background-color);
        color: white;
        transition: all 0.3s;
        text-align: center;
    }

        #sidebar ul li a {
            padding: 20px 10px;
            text-align: center;
            font-size: 0.85em;
        }

            #sidebar ul li a i,
            #sidebar ul li a span {
                margin-right: 0;
                display: block;
                font-size: 1.8em;
                margin-bottom: 5px;
            }

        #sidebar ul ul a {
            padding: 10px !important;
            font-size: 0.9em !important;
            padding-left: 30px !important;
            background: var(--panel-background-color);
        }

        #sidebar .dropdown-toggle::after {
            top: auto;
            bottom: 10px;
            right: 50%;
            -webkit-transform: translateX(50%);
            -ms-transform: translateX(50%);
            transform: translateX(50%);
        }

        #sidebar .sidebar-header {
            padding-top: 10px;
            background: var(--panel-background-color);
        }

        #sidebar ul.components {
            padding: 20px 0;
            border-bottom: 1px solid #47748b;
        }

        #sidebar ul li a {
            padding: 10px;
            display: block;
        }

            #sidebar ul li a:hover {
                color: var(--panel-background-color);
                background: white;
            }


        #sidebar ul li.active > a,
        a[aria-expanded="true"] {
            color: white;
            background: var(--panel-background-color);
        }

        #sidebar span.hide-collapsed {
            display: none !important;
        }


        #sidebar .hamberder {
            font-size: 1.2em;
        }

            #sidebar .hamberder.hide-collapsed {
                display: none !important;
            }

        #sidebar.collapsed .hamberder.hide-collapsed {
            display: none !important;
        }

        #sidebar:not(.collapsed) .hamberder.hide-expanded {
            display: block !important;
        }
}
